Description

Dear USoc Team,

My research is examining the impact of alcohol consumption on individual earnings.

With regards to wave 7 of the Understanding Society dataset.

I was wondering if you could confirm for me whether the variable g_auditc4 (Drinks on a typical day) translates as units on a typical

day or as any arbitrary definition of drink (e.g. could be a shot, could be a pint; with the definition of a standard drink often being 2.5

units). I am assuming it translates as units as the word drink appears to have implicitly been defined in the g_auditc5 (six or more

drinks frequency) variable on the questionnaire where it says on page 557 “How often have you had 6 or more units on a single

occasion in the last year? By a unit, I mean 1/2 pint of beer, a glass of wine or a single measure of spirit or liqueur.”  but I’d be

grateful if you could clarify this for me.

I'm therefore trying to derive a units consumed per week variable. My current approach has been to create a “Typical Units

consumed per occasion” variable (TYPunits) which is the mean of the variable g_auditc4 (renamed to DrinkTypical) and then to

create a “Weekly Drink Frequency” variable (DFx) which derives an approximation of the number of occasions the individual

consumes alcohol per week using the variable g_auditc3 (renamed to DrinkFreq). I then multiply these two variables together to

approximate a units consumed per week variable (i.e. multiplying the typical units an individual consume per occasion by their

reported Weekly Drink Frequency). Of course depending on your answer to the first part of my question I will need to either multiply

this number by 2.5, or redefine this variable to measure “drinks” consumed per week rather than units consumed per week. I have

copied an excerpt from my STATA do-file related to the above explanation of how I’ve created this variable.

I’d be grateful for any thoughts on the above derivation or if there is a ‘standard’ or ‘official’ or more accurate method for deriving the

number of units or drinks consumed by individuals in a given period.

Many thanks,

Jason Morgan

Do-File Excerpt - (Note: DrinkFreq = g_auditc3; and DrinkTypical = g_auditc4)

GENERATING ALCOHOL VARIABLES

*//creating a TYPunits variable

gen TYPunits = 0

replace TYPunits =1.5 if DrinkTypical 1

replace TYPunits =3.5 if DrinkTypical 2

replace TYPunits =5.5 if DrinkTypical 3

replace TYPunits =8 if DrinkTypical 4

replace TYPunits =10 if DrinkTypical ==5

gen TYPunitsSQ = TYPunits^2

label variable TYPunits "approximation of units typically consumed on drinking day"

label variable TYPunitsSQ "square of (approximation of units typically consumed on drinking day)"

*//creating a “Weekly Drink Frequency” or DF multiplier

gen DFx = 0 if DrinkFreq 1

replace DFx = .23 if DrinkFreq 2

replace DFx = .69 if DrinkFreq 3

replace DFx = 2.5 if DrinkFreq 4

replace DFx = 5.5 if DrinkFreq ==5

label values DFx DFx

label variable DFx "Weekly Drink Frequency derived from individual's stated drink frequency"

*//creating a derived weekly units consumed variable

gen units = DFx*TYPunits

label values units units

label variable units "derivation of weekly units consumed (TypicalUnits*WeeklyDrinkFreq)"

gen unitsSQ = units^2
label variable unitsSQ "square of (derivation of weekly units consumed)"

Example

So for example: if an individual typically consumes 3 drinks per occasion and 2-3 times per week, then

TYPunits = 3

DFx = 2.5

units = 3*2.5 = 7.5

Related issues:

Copied from Support #119: Large values on alcohol consumption variables Closed 01/31/2013

Copied to Support #965: Sample weights Resolved 01/31/2013

History

#1 - 04/07/2018 11:48 PM - jason morgan

- Copied from Support #119: Large values on alcohol consumption variables added

#2 - 04/09/2018 10:29 AM - Stephanie Auty

- Status changed from New to In Progress

- Assignee changed from Redmine Admin to Stephanie Auty

- Target version changed from M2 to M7

- % Done changed from 70 to 10

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

Best wishes,

Stephanie Auty - Understanding Society User Support Officer

#3 - 04/10/2018 01:22 PM - jason morgan

(As another thought: since the DrinkFreq (g_auditc3) categories are measured in proportions of a year - it may be better to generate the derived

units/drinks variable above in terms of units/drinks per year rather than per week as I initially did above)

#4 - 04/20/2018 08:21 AM - jason morgan

- Copied to Support #965: Sample weights added

#5 - 04/20/2018 04:25 PM - Stephanie Auty

- Status changed from In Progress to Feedback

- Assignee changed from Stephanie Auty to jason morgan

- % Done changed from 10 to 80

Dear Jason,

In most cases during self-completion questions only one question is shown at once, and since g_auditc5 is asked of respondents after they have

already answered g_auditc1-4, the definition in the question will not have any influence on their answers to the previous questions. The respondent

will use their own interpretation of 'drinks' when answering, which may or may not be based on units.

Best wishes,

Stephanie Auty - Understanding Society User Support Officer

#6 - 04/20/2018 10:44 PM - jason morgan

Thank you! This is just the response I needed.

#7 - 10/01/2018 05:49 PM - Stephanie Auty

Dear Jason,

Just to follow up on this, we have now been able to load the scripts and see what the respondents see when answering these questions. They are

only shown one question at a time, but they are able to go backwards through the questions. It is possible that someone may have done that after

reading the description of units in the last question, but we do not expect them to do that.

Best wishes,

Stephanie
#8 - 03/02/2021 04:57 PM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (jason morgan)

- % Done changed from 80 to 100
